#include <stdio.h>
#include "cgenericservice.h"


class CMyService : public CGenericService
{
public:
	virtual int run(int argc, char** argv)
	{
		int status = 1;

		while (!aboutToTerminate())
		{
			::Sleep(100);
			FILE* f = fopen("c:\\cmyservice.log", "a+");
			if (f)
			{
				fprintf(f, "service still running.");
				fclose(f);
			}
		}
		status = 0;
	

		return status;
	}


	virtual std::string getServiceLabel() const
	{
		return std::string("MyDummyServiceLabel");
	}


	virtual std::string getServiceName() const
	{
		return std::string("MyDummyServiceName");
	}
}; 


int main(int argc, char* argv[])
{
	CMyService svc;
	svc.parseArguments(argc, argv);
}
